radiolubitel

Debian 6 Linux перестал обновляться

Рекомендуемые сообщения

У меня куча разных серверов и VDS на Debian 6.

Вчера вдруг обнаружил, что оно перестало обновляться и ставить софт со

стандартного репозитария.

Дело-то понятное, устаревшие ветки Дебиана перемещают в другие пути.

Но блин, надо же это всё знать, чинить везде.

А по приспичит где-то поставить что-то элементарное типа

apt-get install htop

а не работает установка, болт большой и мохнатый.

Искал по теме, искал, искал, нашёл вот что: http://mldav.blogspot.ru/2013/06/debian-6-sourceslist.html

Ещё в 2013 году писали, что он переедет.

И предлагается там для /etc/apt/sources.lst такой адрес обновления.

 

deb http://archive.debian.org/debian oldstable main contrib non-free

 

Ну с виду нормальный путь. Добавил его, все прежние выкинул нафиг.

Начало обновляться и ставить софт. Но! Софт на испанском языке.

Едрид-Мадрид и Барселона! Ну почему на испанском-то!

Где тут указка на Испанию?

А может oldstable это и не Debian6 по текущим понятиям ?

 

Короче, подскажите, кто уже столкнулся, как сейчас наиболее верно

прописать правильные пути именно для Debian 6 Squeeze

 

ps. Я конеш помню, как на ZX-Spectrum некоторые игры были на испанском

и что "Pulsa una tecla" означает "Press any key" и тому подобное.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Чото не так. Похоже у меня сам мой сервер на испанском.

Даже просто говоришь apt-get и.......

 

apt 0.8.10.3 para amd64 compilado en Apr 15 2011 07:35:31
Uso: apt-get [opciones] orden
     apt-get [opciones] install|remove paq1 [paq2 ...]
     apt-get [opciones] source paq1 [paq2 ...]

apt-get es una sencilla interfaz de línea de órdenes para descargar e
instalar paquetes. Las órdenes más utilizadas son update e install.

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Переставил VDS с другого образа, да, он древний i386, но такой и был изначально,

вот у него всё нормально ставится с Яндекса.

А x64 на этом хостинге испанский, и хрен с ним.

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

 

 

Может поставить другой языковой пакет и не мучиться?

он не ищет легких дорог

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Чо за языковый пакет ?

 

Если всё уже стоит, весь встроенный софт на испанском, чо тут можно сделать !?!?

 

Все бинарники скомпилены уже со всем этим текстом внутри, что

тут можно изменить ?

 

На хостингах VDS ставится из готового образа уже установленной системы.

 

df147c6d9bd1.png

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Переходи на центос.. и вместо apt-get набирай yum, что для свина звучит как то даже комельфовее. 

:megalol:

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

да. да. да. был у меня секс с центосом.

там нельзя просто сказать

 

yum install openvpn

 

надо ещё доп.репозиторий epel подключать. http://serveradmin.ru/ustanovka-repozitoriya-epel-rpmforge-v-centos/#_epel_repo_CentOS


Вот щас на одном из серверов с Centos 6.7

 

1461745ad0d6.png

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Гыг, вожусь с debian 7 (вернее с его "форком" отечественным ) всё сокрушаюсь что старьё ....
А тут сам, его тролейшество, свин со Squeeze на горизонте нарисовался :))

зы ... по теме:

Свин а что говорит на твоих педро-серверах:

# locale 

или

# echo $LANG 

?

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Я уже поставил (почти) нормальный англо-американский образ.

 

# locale
LANG=en_US.UTF-8
LANGUAGE=
LC_CTYPE="en_US.UTF-8"
LC_NUMERIC="en_US.UTF-8"
LC_TIME="en_US.UTF-8"
LC_COLLATE="en_US.UTF-8"
LC_MONETARY="en_US.UTF-8"
LC_MESSAGES="en_US.UTF-8"
LC_PAPER="en_US.UTF-8"
LC_NAME="en_US.UTF-8"
LC_ADDRESS="en_US.UTF-8"
LC_TELEPHONE="en_US.UTF-8"
LC_MEASUREMENT="en_US.UTF-8"
LC_IDENTIFICATION="en_US.UTF-8"
LC_ALL=
 

Но и тут не всё идеально:

 

# apt-get update
Hit http://mirror.yandex.ru oldstable Release.gpg
Hit http://mirror.yandex.ru/debian/ oldstable/contrib Translation-en
Ign http://mirror.yandex.ru/debian/ oldstable/contrib Translation-en_US
Hit http://mirror.yandex.ru/debian/ oldstable/main Translation-en
Ign http://mirror.yandex.ru/debian/ oldstable/main Translation-en_US
Hit http://mirror.yandex.ru/debian/ oldstable/non-free Translation-en
Ign http://mirror.yandex.ru/debian/ oldstable/non-free Translation-en_US
Hit http://mirror.yandex.ru oldstable Release
Hit http://mirror.yandex.ru oldstable/main i386 Packages
Hit http://mirror.yandex.ru oldstable/contrib i386 Packages
Hit http://mirror.yandex.ru oldstable/non-free i386 Packages
Reading package lists... Done
W: There is no public key available for the following key IDs:
7638D0442B90D010
 

Но весь мне нужный софт ставится нормально.

 

На хостинге опять контрол-панель сломалась, не могу переустановить.

Как только заработает, поставлю испанский.

 

-----------------------------------------------------------------------------------------------------------------------

Сообщество дешевейших хостингов http://lowendspirit.com/locations.html

мона взять VDS за 2$/год (в год, Карл!). Но у меня чуть дороже.

 

49dafaa8c6d14fc89000e8454219bc42.png

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Поставил испанский. Вот:

 

login as: root
root@***.***.***.***'s password:
Linux mr360 2.6.32-042stab113.21 #1 SMP Wed Mar 23 11:05:25 MSK 2016 x86_64

The programs included with the Debian GNU/Linux system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
permitted by applicable law.
Linux mr360 2.6.32-042stab113.21 #1 SMP Wed Mar 23 11:05:25 MSK 2016 x86_64

The programs included with the Debian GNU/Linux system are free software;
the exact distribution terms for each program are described in the
individual files in /usr/share/doc/*/copyright.

Debian GNU/Linux comes with ABSOLUTELY NO WARRANTY, to the extent
permitted by applicable law.
root@mr360:~# passwd
Introduzca la nueva contraseña de UNIX:
Vuelva a escribir la nueva contraseña de UNIX:
passwd: contraseña actualizada correctamente

root@mr360:~#
root@mr360:~#
root@mr360:~# locale
LANG=es_US.UTF-8
LANGUAGE=
LC_CTYPE="es_US.UTF-8"
LC_NUMERIC="es_US.UTF-8"
LC_TIME="es_US.UTF-8"
LC_COLLATE="es_US.UTF-8"
LC_MONETARY="es_US.UTF-8"
LC_MESSAGES="es_US.UTF-8"
LC_PAPER="es_US.UTF-8"
LC_NAME="es_US.UTF-8"
LC_ADDRESS="es_US.UTF-8"
LC_TELEPHONE="es_US.UTF-8"
LC_MEASUREMENT="es_US.UTF-8"
LC_IDENTIFICATION="es_US.UTF-8"
LC_ALL=
root@mr360:~#

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

После установки источника  deb http://mirror.yandex.ru/debian/ oldstable main contrib non-free

 

получаем:

 

root@mr360:~# apt-get update
Des:1 http://mirror.yandex.ru oldstable Release.gpg [2,373 B]
Des:2 http://mirror.yandex.ru/debian/ oldstable/contrib Translation-en [34.8 kB]
Ign http://mirror.yandex.ru/debian/ oldstable/contrib Translation-es
Des:3 http://mirror.yandex.ru/debian/ oldstable/main Translation-en [3,846 kB]
Des:4 http://mirror.yandex.ru/debian/ oldstable/main Translation-es [349 kB]
Des:5 http://mirror.yandex.ru/debian/ oldstable/non-free Translation-en [66.1 kB]
Ign http://mirror.yandex.ru/debian/ oldstable/non-free Translation-es
Des:6 http://mirror.yandex.ru oldstable Release [191 kB]
Des:7 http://mirror.yandex.ru oldstable/main amd64 Packages [5,839 kB]
Des:8 http://mirror.yandex.ru oldstable/contrib amd64 Packages [42.0 kB]
Des:9 http://mirror.yandex.ru oldstable/non-free amd64 Packages [80.8 kB]
Descargados 10.5 MB en 6seg. (1,647 kB/s)
Leyendo lista de paquetes... Hecho
W: No existe ninguna clave pública disponible para los siguientes identificadores de clave:
7638D0442B90D010

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Мда, беда с локализациями:
Тут видимо один только выход - пользоваться LANG=en_US.UTF-8 или учить испанский :)
Зазеркалю ка я репозиторий для debian 7 - у него тоже поддерка, по сути, закончилась

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

А вот берешь ты себе ну очень дешевый VPS скажем тут http://lowendspirit.com/locations.html

 

И ставишь шаблон Debian-6-Minimal, и оно работает, как и работало несколько лет назад,

и всё бы прекрасно - вот только софт ваще не с чего ставить.

 

Но добрый Яндекс нам помог !

 

deb http://mirror.yandex.ru/debian/ oldstable main contrib non-free

 

 

 

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

 

В 29.01.2018 в 00:12, Red_devil_agma сказал:

Тьфу на вас сектанты!!!  Че пишут о чем говорят на ни крена не пойму ((

А фигли ты тут забыл тогда - коли "ни крена" в теме не понимаешь?

Изменено пользователем oldbay

Поделиться сообщением


Ссылка на сообщение
Поделиться на другие сайты

Присоединиться к общению

Вы можете написать сейчас, а зарегистрироваться потом. Если у Вас есть аккаунт, войдите, чтобы написать с него.

Гость
Ответить в этой теме...

×   Вы вставили контент с форматированием.   Удалить форматирование

  Разрешено использовать не более 75 смайлов.

×   Ваша ссылка была автоматически встроена.   Отображать как обычную ссылку

×   Ваш предыдущий контент был восстановлен.   Очистить редактор

×   Вы не можете вставлять изображения напрямую. Загружайте или вставляйте изображения по ссылке.

Загрузка...